Add Provisioned Trust Certificates
post
/management/weblogic/{version}/domainRuntime/domainKeystoresRuntime/addProvisionedTrustCertificates
Add every X.509 certificate in a PEM bundle to the Provisioned Trust keystore. The complete bundle is validated before it is persisted. Generated aliases are provisioned-, provisioned-, and so on in file order. Duplicate aliases or certificates cause the entire operation to fail.
Request
Supported Media Types
- application/json
Path Parameters
-
version(required): string
The version of the WebLogic REST interface.
Header Parameters
-
X-Requested-By(required): string
The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Must contain the following fields:
Root Schema : Arguments
Type:
objectTitle:
Show Source
Arguments-
aliasBase:
string
The base used to generate one-based provisioned aliases
-
fromFileName:
string
The name of the PEM bundle
-
fromFileType:
string
The input file type; only PEM is supported
Security
-
Admin: basic
Type:
basicDescription:A user in the Admin security role.
Response
200 Response
Returns the following fields: